FROM oven/bun:1-alpine
WORKDIR /app/src/components/frontend
COPY src/components/frontend/package.json ./package.json
RUN bun install --production
COPY src/components/shared /app/src/components/shared
COPY docs /app/docs
COPY src/components/frontend/src ./src
COPY src/components/frontend/public ./public
CMD ["bun", "run", "src/index.ts"]
